﻿@model List<WebPhonebook.Dto.PhonebookEntryDto>

<!DOCTYPE html>
<html lang="en">
<head>
    <title>Phonebook</title>
    <meta name="description" content="@ViewBag.Description">
    <link rel="stylesheet" href="~/bootstrap/dist/css/bootstrap.css" />
</head>
<body>
    <div class="jumbotron jumbotron-fluid">
        <div class="container-fluid">
            <h1>Phonebook</h1>
        </div>
    </div>

    <div class="container-fluid">
        <table class="table-striped">
            <thead>
                <tr>
                    <th>First name</th>
                    <th>Last name</th>
                    <th>Birth year</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var entry in Model)
                {
                    <tr>
                        <td>@entry.FirstName</td>
                        <td>@entry.LastName</td>
                        <td>@entry.BirthYear</td>
                        <td><button class="btn-danger" onclick="deleteEntry(@entry.Id);">Delete</button></td>
                    </tr>
                }

                <tr>
                    <td><input id="textFn" type="text" placeholder="First name"/></td>
                    <td><input id="textLn" type="text" placeholder="Last name" /></td>
                    <td><input id="textBy" type="number" placeholder="Birth year" /></td>
                    <td><button class="btn-success" onclick="addEntry();">Add</button></td>
                </tr>
            </tbody>
        </table>
    </div>

    <script>
        function addEntry() {
            var request = new XMLHttpRequest();
            request.open('POST', 'pb', true);
            request.setRequestHeader("Content-type", "application/json");

            request.onload = function () {
                location.reload();
            };

            request.send(JSON.stringify({
                firstName: document.getElementById("textFn").value,
                lastName: document.getElementById("textLn").value,
                birthYear: document.getElementById("textBy").value
            }));
        }


        function deleteEntry(entryId) {
            var request = new XMLHttpRequest();
            request.open('DELETE', 'pb/' + entryId, true);

            request.onload = function () {
                location.reload();
            };

            request.send();
        }
    </script>
</body>
</html>
